Page MenuHomePhabricator

SkinFallback guess skin keys from skin name
Closed, DeclinedPublic

Description

When no skins are enabled the MediaWiki installer provides instructions of how to enable skins
e.g.

This is currently flawed as the MinervaNeue skin, although named MinervaNeue, actually uses the internal key "minerva" (see related T173546)

It's also possible for a skin repo to provide multiple skins

Ideally, skin.json for each skin should be loaded and parsed to extract ValidSkinNames - and this should be used to provide information.

This also allows for skin.json to provide more metadata in future - for instance a screenshot.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 9:52 PM

Change 383940 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Installer should make use of valid skin names

https://gerrit.wikimedia.org/r/383940

matmarex added a subscriber: matmarex.EditedOct 12 2017, 10:00 PM

This feature is apparently implemented in two places:

  • For the installer, it's in Installer::findExtensions() and LocalSettingsGenerator::generateExtEnableLine().
  • For the fallback skin, it's in SkinFallbackTemplate::findInstalledSkins() and getSnippetForSkin().

In the screenshot you provided, that's actually the fallback skin (which is what you get after you complete the installer and your wiki has no skins).

(And yes, this duplication sucks and it would be great to avoid it. It actually looks very doable to make the installer methods public and make the fallback skin use them, if you'd like to work on that.)

Your right I'm talking about the fallback skin not the installer. I haven't checked what happens inside the installer. The fallback skin was what I was trying to fix.

Jdlrobson renamed this task from MediaWiki installer guess skin keys from skin name to SkinFallback guess skin keys from skin name.Oct 12 2017, 10:05 PM
Jdlrobson added a project: MediaWiki-General.

This also allows for skin.json to provide more metadata in future - for instance a screenshot.

Note that screenshots are already implemented, see https://www.mediawiki.org/wiki/Manual:Skinning_Part_2#Screenshots

Change 383940 abandoned by Jdlrobson:
Installer should make use of valid skin names

Reason:
hoping some one else has bandwidth to pick this up

https://gerrit.wikimedia.org/r/383940

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMay 14 2020, 11:27 AM
Jdlrobson closed this task as Declined.Jun 10 2020, 3:18 PM

Not important.